%define __version       00
%define __release	01
%define __osxver	13
%define __vername	00-01

Summary: A persistency layer for LCIO 
Name: SIO
Version: %{__version}.%{__release}
Release: %{__osxver}%{?dist}1a
Source0: localhost:/%{name}-%{__vername}.tar.gz
URL: https://github.com/iLCSoft/SIO
Group: Development/Libraries
License: Linear Collider Study Group
%define __prefix	/opt/sio
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: root

%description
SIO is a persistency solution for reading and writing binary data in SIO 
structures called record and block. SIO has originally been implemented 
as persistency layer for LCIO.

%prep
%setup -q -n SIO-%{__vername}


%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%{prefix}/`echo v%{version} | sed -e 's;\.;-;g'` -DCMAKE_C_COMPILER=clang -DCMAKE_CXX_COMPILER=clang++ ..
make %{?_smp_mflags}

# fix paths to config files
mv SIOConfig.cmake SIOConfig.cmake.orig
sed -e 's;\(.*\)/Users/.*/SIO-\([0-9]*\)-\([0-9]*\)\(.*\);\1/opt/sio/v\2-\3\4;' SIOConfig.cmake.orig > SIOConfig.cmake
mv SIOConfigVersion.cmake SIOConfigVersion.cmake.orig
sed -e 's;\(.*\)/Users/.*/SIO-\([0-9]*\)-\([0-9]*\)-\(*\);\1/opt/sio/v\2-\3\4;' SIOConfigVersion.cmake.orig > SIOConfigVersion.cmake


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/`echo v%{version} | sed -e 's;\.;-;g'`
(
cd build
make install DESTDIR=$RPM_BUILD_ROOT
)

cd %{_builddir}/SIO-%{__vername}
cp -RPp cmake $RPM_BUILD_ROOT%{prefix}/`echo v%{version} | sed -e 's;\.;-;g'`

find $RPM_BUILD_ROOT -type d | sed -e "s;$RPM_BUILD_ROOT;%dir ;" \
			     | grep -ve '^%dir %{prefix}$' \
			     | grep -ve '^%dir /[^/]*$'  \
			     | grep -ve '^%dir $' >> list.f
find $RPM_BUILD_ROOT -type f | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f
find $RPM_BUILD_ROOT -type l | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{_builddir}/SIO-%{__vername}/list.f
%defattr(-,root,wheel)

%changelog
* Sun Nov 5 2023 Keisuke Fujii <keisuke.fujii@kek.jp> 00-01-00-13hepx1a
- 1st build and release on MacOS 13
- built with OSXWS 13 and with clang

* Mon Feb 28 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 00-01-00-12hepx1a
- 1st build and release on MacOS 12 for M1 Macs
- built with OSXWS 12beta and with clang

* Wed Jan 29 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 00-00-02-10.15hepx1a
- 1st build and release on MacOS X 10.15 for Intel Macs
- built with OSXWS 10.15

* Fri Jan 3 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 00-00-02-10.14hepx1a
- 1st build and release on MacOS X 10.14 for Intel Macs
- built with OSXWS 10.14
